=== debian/changelog ===
mit-scheme (12.1-3) unstable; urgency=medium

  * build dependency for pkg-config

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 11 Jan 2023 19:53:07 +0000

mit-scheme (12.1-2) unstable; urgency=medium

  [ Barak A. Pearlmutter ]
  * enable blowfish, gdbm, and pgsql (build dependency on libpq-dev)
  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on mit-scheme.
    + mit-scheme-dbg: Drop versioned constraint on mit-scheme in Replaces.
    + mit-scheme-dbg: Drop versioned constraint on mit-scheme in Breaks.
    + mit-scheme-doc: Drop versioned constraint on mit-scheme in Replaces.
    + mit-scheme-doc: Drop versioned constraint on mit-scheme in Breaks.

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 10 Jan 2023 21:56:01 +0000

mit-scheme (12.1-1) unstable; urgency=medium

  * New upstream release
  * Forward port quilt patches; delete two that have been upstreamed
  * Update standards version to 4.6.2, no changes needed.

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 07 Jan 2023 16:58:36 +0000

mit-scheme (11.2-4) unstable; urgency=medium

  * replace dependency mime-support with media-types (closes: #1010101)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 24 Apr 2022 16:52:20 +0100

mit-scheme (11.2-3) unstable; urgency=medium

  [ Nick Rosbrook ]
  * d/p/0001-microcode-Make-definition-for-chacha_core-match-decl.patch:
    Pull in upstream patch to fix -Werror=array-parameter build error.
    (LP: #1965163).

  [ Barak A. Pearlmutter ]
  * Spelling correction in description
  * Ubuntu OpenSSL 3.0 FTBFS patch (closes: #1006507)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 21 Mar 2022 16:31:37 +0000
