=== debian/control ===
Source: mit-scheme
Section: lisp
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper-compat (= 13),
		mit-scheme,
		libssl-dev, libmhash-dev, libmcrypt-dev,
		libgdbm-dev, libpq-dev,
		libncurses5-dev,
		libx11-dev, libxt-dev,
		libdb-dev, libltdl-dev,
		libpq-dev, pkgconf | pkg-config,
		texinfo, texlive, ghostscript, texlive-plain-generic
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.gnu.org/software/mit-scheme/
Vcs-Git: https://salsa.debian.org/debian/mit-scheme.git
Vcs-Browser: https://salsa.debian.org/debian/mit-scheme

Package: mit-scheme
Architecture: amd64
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: media-types
Suggests: mit-scheme-dbg, mit-scheme-doc
Description: MIT/GNU Scheme development environment
 MIT/GNU Scheme is an implementation of the Scheme programming language,
 providing an interpreter, compiler, source-code debugger, integrated
 Emacs-like editor, and a large runtime library.  MIT/GNU Scheme is best
 suited to programming large applications with a rapid development
 cycle.
 .
 This package contains the development environment.

Package: mit-scheme-dbg
Section: debug
Architecture: amd64
Multi-Arch: same
Depends: mit-scheme (= ${binary:Version}), ${misc:Depends}
Enhances: mit-scheme (= ${binary:Version})
Description: MIT/GNU Scheme debugging files
 MIT/GNU Scheme is an implementation of the Scheme programming language,
 providing an interpreter, compiler, source-code debugger, integrated
 Emacs-like editor, and a large runtime library.  MIT/GNU Scheme is best
 suited to programming large applications with a rapid development
 cycle.
 .
 This package contains debugging files for the development
 environment.  These files provide support for debugging the MIT/GNU
 Scheme system, and are useful only if you need to see the system
 internals while you are debugging.

Package: mit-scheme-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Enhances: mit-scheme (= ${binary:Version})
Description: MIT/GNU Scheme documentation
 MIT/GNU Scheme is an implementation of the Scheme programming language,
 providing an interpreter, compiler, source-code debugger, integrated
 Emacs-like editor, and a large runtime library.  MIT/GNU Scheme is best
 suited to programming large applications with a rapid development
 cycle.
 .
 This package contains documentation in Info, HTML, and PDF formats.
